﻿@using SPAWebApp.Shared
@using SPAWebApp.Shared.Models
@using SPAWebApp.Shared.Models.Services.FileStorage
@using SPAWebApp.Shared.Services
@inject Services.Contracts.IFileStorageService FileStorageService

  <section class="content-files">
    <div class="top-menu">
      <button class="btn btn-info" title="Добавить"><i class="fas fa-plus"></i></button>
      <button class="btn btn-info" title="Экспорт"><i class="fas fa-file-excel"></i></button>
      <button class="btn btn-info" title="Удалить" onclick="@(() => RemoveFile())"><i class="fas fa-trash-alt"></i> </button>
    </div>
    <table class="k-table">
      <tr>
        <td>id</td>
        <td>@File.Id</td>
      </tr>
      <tr>
        <td>Name</td>
        <td>@File.Name</td>
      </tr>
      <tr>
        <td>Size</td>
        <td>@File.Size</td>
      </tr>
      <tr>
        <td>Type</td>
        <td>@File.Type</td>
      </tr>
      <tr>
        <td>Comment</td>
        <td>@File.Comment</td>
      </tr>
    </table>
  </section>

@functions {
  [Parameter]
  protected File File { get; set; }

  [Parameter]
  protected Action FileDeleted { get; set; }

  protected bool work = false;

  private async Task RemoveFile()
  {
    Console.WriteLine(File.Id);
    await FileStorageService.RemoveFileAsync(File.Id);
    FileDeleted.Invoke();
    StateHasChanged();
  }
}